package edu.wpi.banmqp.shimmer.sensor;

import android.annotation.SuppressLint;
import java.util.HashMap;
import java.util.Set;

// class containing a map of sensor ID's to sensor objects
/**
 * @author Doug
 *
 */
public class SensorMap {
	private HashMap<Integer, ISensor> map;
	

	@SuppressLint("UseSparseArrays") // I want to be able to get a keyset
	public SensorMap() {
		map = new HashMap<Integer, ISensor>();
	}
	
	/**
	 * @param SensorID ID of the sensor to get
	 * @return The ISensor if it exists, null otherwise
	 */
	public ISensor get(int SensorID){
		return map.get(SensorID);
	}
	
	public Set<Integer> keySet(){
		return map.keySet();
	}
	
	public ISensor put(int id, ISensor s){
		return map.put(id, s);
		
	}
	


}
